# Package javax.xml.parsers

Class Summary
Class | Description
--- | ---
DocumentBuilder | Defines the API to obtain DOM Document instances from an XML document.
DocumentBuilderFactory | Defines a factory API that enables applications to obtain a parser that produces DOM object trees from XML documents.
SAXParser | Defines the API that wraps an `XMLReader` implementation class.
SAXParserFactory | Defines a factory API that enables applications to configure and obtain a SAX based parser to parse XML documents.

Exception Summary
Exception | Description
--- | ---
ParserConfigurationException | Indicates a serious configuration error.

Error Summary
Error | Description
--- | ---
FactoryConfigurationError | Thrown when a problem with configuration with the Parser Factories exists.